## Quarkus configs
quarkus.http.root-path=/git
quarkus.http.port=8080

quarkus.jacoco.includes=**/git/eca/**/*

## Prevents test profile from pulling docker images for testing
org.eclipsefoundation.git.eca.api.ProjectsAPI/mp-rest/url=https://projects.eclipse.org
org.eclipsefoundation.git.eca.api.BotsAPI/mp-rest/url=https://api.eclipse.org

## DATASOURCE CONFIG
quarkus.datasource.db-kind=h2
eclipse.persistence.pagination-limit.max=100
quarkus.hibernate-orm.database.generation=none

# Flyway configuration for the default datasource
quarkus.flyway.locations=classpath:database/default
quarkus.flyway.migrate-at-start=true

## OIDC Connection/Authentication Info
quarkus.oidc.enabled=false
quarkus.keycloak.devservices.enabled=false
quarkus.oidc-client.enabled=false
smallrye.jwt.sign.key.location=test.pem

# hCaptcha test key and secret
eclipse.hcaptcha.site-key=20000000-ffff-ffff-ffff-000000000002
eclipse.hcaptcha.secret=0x0000000000000000000000000000000000000000

## Git-eca mail configs
eclipse.git-eca.mail.noreply-email-patterns=@users.noreply.github.com\$,@noreply.github.com\$
eclipse.git-eca.mail.allow-list=noreply@github.com

## Reports configs
eclipse.git-eca.reports.access-key=samplekey
eclipse.git-eca.tasks.gh-revalidation.enabled=false
eclipse.git-eca.tasks.gh-installation.enabled=false

## Misc
eclipse.gitlab.access-token=token_val

## Disable private project scan in test mode
eclipse.scheduled.private-project.enabled=false